<?php
/**
 * 将urlPid写入COOKIE中(后者推广覆盖前者)
 * @param string $userPid 上级用户ID
 * @return boole
 */
function userPidSet(){
    $userPid = input('pid/d', 0);
    if( $userPid < 1){
        return false;
    }
    cookie('userPid', $userPid, 2592000);
    return true;
}

/**
 * 读取PID、优先urlPid
 * @return number
 */
function userPidGet(){
    $userPid = input('pid/d', 0);
    if($userPid < 1){
        $userPid = cookie('userPid');
    }
    return intval($userPid);
}