<?php
//扩展自定义字段
DcConfigMerge('custom_fields.user_meta', [
    'user_pid',
    'user_score',
]);

//扩展后台菜单
DcConfigMerge('admin_menu.config', [
    [
        'ico'      => 'fa fa-fw fa-user',
        'title'    => '用户设置',
        'module'   => 'user',
        'controll' => 'admin',
        'action'   => 'index',
        'order'    => 41,
        'url'      => DcUrlAddon( ['module'=>'user','controll'=>'admin','action'=>'index','active'=>'user'] ),
    ],
]);

//扩展后台筛选
DcConfigMerge('admin_filter.nav', [
    'op_controll' => ['navbar','navs'],
    'op_action'   => ['header','left','footer','login','logout'],
]);

//应用初始配置
return [
    'user' => [
        'theme'                   => 'default',
        'theme_wap'               => 'default',
        'page_size'               => 20,
        'callback_secret'         => '',//授权临时码密钥
        'callback_domains'        => '',//授权回跳域名
        'register_validate_name'  => 'common/User',//注册验证规则
        'register_validate_scene' => 'register',//注册验证场景
        'register_slug_unique'    => '',//注册别名规则
    ]
];