{extend name="apps/common/view/admin.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{:lang("user_config")}－{:lang('appName')}</title>
{/block}
{block name="header_addon"}
<link href="{$path_root}{$path_addon}view/theme.css">
<script src="{$path_root}{$path_addon}view/theme.js"></script>
{/block}
<!-- -->
{block name="main"}
<h6 class="border-bottom pb-2 text-purple">
	{:lang("user_config")}
</h6>
{:DcBuildForm([
    'name'     => 'user_config',
    'class'    => 'bg-white py-2',
    'action'   => DcUrlAddon(['module'=>'user','controll'=>'admin','action'=>'update'],''),
    'method'   => 'post',
    'ajax'     => true,
    'submit'   => lang('submit'),
    'reset'    => lang('reset'),
    'close'    => false,
    'disabled' => false,
    'callback' => '',
    'items'    => DcFormItems([
        'theme'                => ['type'=>'select', 'value'=>config('user.theme'), 'option'=>DcThemeOption('user')],
        'theme_wap'            => ['type'=>'select', 'value'=>config('user.theme_wap'), 'option'=>DcThemeOption('user')],
        'page_size'            => ['type'=>'number', 'value'=>config('user.page_size')],
        'register_score'       => ['type'=>'number', 'value'=>config('user.register_score')],
        'title_login'          => ['type'=>'text', 'value'=>config('user.title_login')],
        'keywords_login'       => ['type'=>'text', 'value'=>config('user.keywords_login')],
        'description_login'    => ['type'=>'text', 'value'=>config('user.description_login')],
        'title_login'          => ['type'=>'text', 'value'=>config('user.title_login')],
        'keywords_login'       => ['type'=>'text', 'value'=>config('user.keywords_login')],
        'description_login'    => ['type'=>'text', 'value'=>config('user.description_login')],
        'title_register'       => ['type'=>'text', 'value'=>config('user.title_login')],
        'keywords_register'    => ['type'=>'text', 'value'=>config('user.keywords_login')],
        'description_register' => ['type'=>'text', 'value'=>config('user.description_login')],
        'callback_secret'      => ['type'=>'text', 'value'=>config('user.callback_secret')],
        'callback_domains'     => ['type'=>'textarea', 'value'=>config('user.callback_domains'), 'rows'=>5],
    ])
])}
{/block}
<!-- -->
{block name="js"}
{/block}